## WebKitOptionMenuItem WebKitOptionMenuItem — One item of the WebKitOptionMenu |

## Functions

WebKitOptionMenuItem * | webkit_option_menu_item_copy ()
void | webkit_option_menu_item_free ()
const gchar * | webkit_option_menu_item_get_label ()
const gchar * | webkit_option_menu_item_get_tooltip ()
gboolean | webkit_option_menu_item_is_group_label ()
gboolean | webkit_option_menu_item_is_group_child ()
gboolean | webkit_option_menu_item_is_enabled ()
gboolean | webkit_option_menu_item_is_selected ()

## Types and Values

| WebKitOptionMenuItem

## Object Hierarchy

        GBoxed
        ╰── WebKitOptionMenuItem

## Description

The WebKitOptionMenu is composed of WebKitOptionMenuItems. A WebKitOptionMenuItem always has a label and can contain a tooltip text. You can use the WebKitOptionMenuItem of a WebKitOptionMenu to build your own menus.

## Functions

### webkit_option_menu_item_copy ()

    WebKitOptionMenuItem *
    webkit_option_menu_item_copy (WebKitOptionMenuItem *item);

Make a copy of the WebKitOptionMenuItem.

#### Parameters

item | a WebKitOptionMenuItem |

#### Returns

A copy of passed in WebKitOptionMenuItem.

[transfer full]

Since: 2.18

### webkit_option_menu_item_free ()

    void
    webkit_option_menu_item_free (WebKitOptionMenuItem *item);

Free the WebKitOptionMenuItem.

#### Parameters

item | A WebKitOptionMenuItem |

Since: 2.18

### webkit_option_menu_item_get_label ()

    const gchar *
    webkit_option_menu_item_get_label (WebKitOptionMenuItem *item);

Get the label of a WebKitOptionMenuItem.

#### Parameters

item | a WebKitOptionMenuItem |

#### Returns

The label of `item` .

Since: 2.18

### webkit_option_menu_item_get_tooltip ()

    const gchar *
    webkit_option_menu_item_get_tooltip (WebKitOptionMenuItem *item);

Get the tooltip of a WebKitOptionMenuItem.

#### Parameters

item | a WebKitOptionMenuItem |

#### Returns

The tooltip of `item` , or `NULL`.

Since: 2.18

### webkit_option_menu_item_is_group_label ()

    gboolean
    webkit_option_menu_item_is_group_label
                                   (WebKitOptionMenuItem *item);

Whether a WebKitOptionMenuItem is a group label.

#### Parameters

item | a WebKitOptionMenuItem |

#### Returns

`TRUE` if the `item` is a group label or `FALSE` otherwise.

Since: 2.18

### webkit_option_menu_item_is_group_child ()

    gboolean
    webkit_option_menu_item_is_group_child
                                   (WebKitOptionMenuItem *item);

Whether a WebKitOptionMenuItem is a group child.

#### Parameters

item | a WebKitOptionMenuItem |

#### Returns

`TRUE` if the `item` is a group child or `FALSE` otherwise.

Since: 2.18

### webkit_option_menu_item_is_enabled ()

    gboolean
    webkit_option_menu_item_is_enabled (WebKitOptionMenuItem *item);

Whether a WebKitOptionMenuItem is enabled.

#### Parameters

item | a WebKitOptionMenuItem |

#### Returns

`TRUE` if the `item` is enabled or `FALSE` otherwise.

Since: 2.18

### webkit_option_menu_item_is_selected ()

    gboolean
    webkit_option_menu_item_is_selected (WebKitOptionMenuItem *item);

Whether a WebKitOptionMenuItem is the currently selected one.

#### Parameters

item | a WebKitOptionMenuItem |

#### Returns

`TRUE` if the `item` is selected or `FALSE` otherwise.

Since: 2.18

## Types and Values

### WebKitOptionMenuItem

    typedef struct _WebKitOptionMenuItem WebKitOptionMenuItem;